#
# spec file for package open-iscsi (Version 2.0.713)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           open-iscsi
URL:            http://www.open-iscsi.org
License:        GPL v2 or later
Group:          Productivity/Networking/Other
Prereq:         %fillup_prereq %insserv_prereq
Autoreqprov:    on
Version:        2.0.713
Release:        13
Provides:       linux-iscsi
Obsoletes:      linux-iscsi
%define iscsi_release 707
Summary:        Linux* Open-iSCSI Software Initiator
Source:         %{name}-2.0-707.tar.gz
Source3:        boot.open-iscsi
Source12:       iscsi-iname.c
Patch1:         %{name}-713.diff
Patch2:         %{name}-suse.diff
Patch3:         %{name}-use-dev-urandom
Patch4:         %{name}-peeruser-fix
Patch5:         %{name}-restrict-logging-permissions
Patch12:        %{name}-start-iscsi-after-xen
Patch21:        %{name}-check-active-sessions-before-delete
Patch22:        %{name}-iscsi-iname-Makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Open-iSCSI is a high-performance, transport independent, multi-platform
implementation of RFC3720 iSCSI.

Open-iSCSI is partitioned into user and kernel parts.

The kernel portion of Open-iSCSI is a from-scratch code licensed under
GPL. The kernel part implements iSCSI data path (that is, iSCSI Read
and iSCSI Write), and consists of two loadable modules: iscsi_if.ko and
iscsi_tcp.ko.

User space contains the entire control plane: configuration manager,
iSCSI Discovery, Login and Logout processing, connection-level error
processing, Nop-In and Nop-Out handling, and (in the future:) Text
processing, iSNS, SLP, Radius, etc.

The user space Open-iSCSI consists of a daemon process called iscsid,
and a management utility iscsiadm.



Authors:
--------
    open-iscsi@googlegroups.com

%debug_package
%prep
%setup -n %{name}-2.0-707
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch12 -p1
%patch22 -p1
cp %{S:12} usr/

%build
%{__make} OPTFLAGS="${RPM_OPT_FLAGS}" -C usr

%install
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install_programs
make DESTDIR=${RPM_BUILD_ROOT} install_etc
make DESTDIR=${RPM_BUILD_ROOT} install_initd_suse
make DESTDIR=${RPM_BUILD_ROOT} install_doc
install -D -m 755 usr/iscsi-iname ${RPM_BUILD_ROOT}/sbin/iscsi-iname
install -D -m 755 %{S:3} ${RPM_BUILD_ROOT}/etc/init.d/boot.open-iscsi
(cd ${RPM_BUILD_ROOT}/sbin; ln -sf /etc/init.d/open-iscsi rcopen-iscsi)

%clean
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}

%post
%{fillup_and_insserv -Y boot.open-iscsi}
if [ -f /etc/initiatorname.iscsi ] ; then
    mv /etc/initiatorname.iscsi /etc/iscsi
fi
if [ ! -f /etc/iscsi/initiatorname.iscsi ]; then
   cat << EOF >> /etc/iscsi/initiatorname.iscsi
## DO NOT EDIT OR REMOVE THIS FILE! 
## If you remove this file, the iSCSI daemon will not start.
## If you change the InitiatorName, existing access control lists
## may reject this initiator.  The InitiatorName must be unique
## for each iSCSI initiator.  Do NOT duplicate iSCSI InitiatorNames.
EOF
	ISSUEDATE="1996-04"
	INAME=$(/sbin/iscsi-iname -p iqn.$ISSUEDATE.de.suse:01)
	printf "InitiatorName=$INAME\n"  >>/etc/iscsi/initiatorname.iscsi
	chmod 0600 /etc/iscsi/initiatorname.iscsi
fi
if [ -f /var/lib/iscsi/discovery ]; then
    mv /var/lib/iscsi/discovery /var/lib/open-iscsi
fi
if [ -f /var/lib/iscsi/node ] ; then
    mv /var/lib/iscsi/node /var/lib/open-iscsi
fi

%postun
%{insserv_cleanup}

%files
%defattr(-,root,root)
%attr(0600,root,root) %config(noreplace) /etc/iscsi/iscsid.conf
%config /etc/init.d/open-iscsi
%config /etc/init.d/boot.open-iscsi
%dir /etc/iscsi
/sbin/*
%doc COPYING README
%doc %{_mandir}/man8/*

%changelog
* Thu Aug 02 2007 - hare@suse.de
- Fix insecure privileges and credential verification (#280413)
* Fri Oct 20 2006 - hare@suse.de
- Update to svn r713
- Use /dev/urandom instead of rand() (#180837)
- Fixup init script
* Fri Oct 06 2006 - hare@suse.de
- Update to official version 2.0-707
* Fri Jul 28 2006 - olh@suse.de
- remove unused boot.proc from boot.open-iscsi (#181972)
* Thu Jun 01 2006 - hare@suse.de
- Added new startmode 'onboot' for root on iSCSI
- Added new init script boot.open-iscsi startup
  iscsid as early as possible (#176804)
* Wed May 31 2006 - hare@suse.de
- update to svn r595
  - Include local patches
  - Fix lockup on target restart for real (#176151)
* Mon May 22 2006 - hare@suse.de
- update to svn r581
  - Fix lockup when target is restarted (#176151)
- Start open-iscsi after Xen (#177381)
* Fri May 19 2006 - hare@suse.de
- update to svn r574
  - Fix machine hang during error recovery (#174166)
- Display chap secrets for yast (#149055)
* Tue May 02 2006 - hare@suse.de
- update to svn r564
  (contains all local changes)
* Tue Apr 25 2006 - wrwhitehead@novell.com
- Fix communication hang (#157463).
- The iscsi-tcp_data_ready callback needs to empty out the
  tcp receive queue rather than just rely on the callback to
  occur for every message in the receive queue.
* Fri Apr 21 2006 - hare@suse.de
- update to svn r545
  Fixes a crash with Wasabi targets (#157463).
* Wed Mar 22 2006 - hare@suse.de
- Add rcopen-iscsi link (#158230)
- Check for active records before deletion (#149935)
- Do not display error messages on startup if no
  records are found.
* Fri Mar 10 2006 - hare@suse.de
- Update to svn r520 (contains all local changes)
- Add documentation for discovery types (#149936)
* Tue Feb 28 2006 - hare@suse.de
- Fixed type of portal_group_tag (#153638)
* Tue Feb 21 2006 - hare@suse.de
- Fixed open-iscsi startup script (#148982)
* Mon Feb 20 2006 - hare@suse.de
- Update to svn r495
- Implement iSCSI boot support (FATE #140350)
* Thu Feb 09 2006 - hare@suse.de
- Update to svn r488 to match kernel revision
  (#149412).
- Remove obsolete patches.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - hare@suse.de
- Update to svn r473
- Enhance start script
- Fix appearent login failures.
* Fri Jan 20 2006 - hare@suse.de
- Update to svn r471
- Fix start script.
* Mon Jan 16 2006 - hare@suse.de
- Add Provides/Obsoletes tag.
* Fri Jan 13 2006 - hare@suse.de
- Rebasing package to open-iscsi-0.5-454
- Update to svn r457
* Mon Dec 19 2005 - hare@suse.de
- Update to svn r446.
* Thu Nov 03 2005 - hare@suse.de
- Update to svn r436.
* Thu Sep 08 2005 - hare@suse.de
- Update to svn r408.
  (Added NOOP IN handling)
- Removed obsolete patches
* Mon Aug 22 2005 - hare@suse.de
- Update to svn r401.
- Fixed package to install properly.
- Fixed init script
- Added iscsi-iname to generate iSCSI Initiatorname.
* Mon Aug 08 2005 - hare@suse.de
- Update to svn r389.
* Thu Jul 07 2005 - hare@suse.de
- Initial version 0.3rc6-369
